# Class CollectIlluminaLaneMetrics

java.lang.Object
picard.cmdline.CommandLineProgram
picard.illumina.CollectIlluminaLaneMetrics

@DocumentedFeature public class CollectIlluminaLaneMetrics extends CommandLineProgram
Command-line wrapper around `CollectIlluminaLaneMetrics.IlluminaLaneMetricsCollector`.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`CollectIlluminaLaneMetrics.IlluminaLaneMetricsCollector`
Utility for collating Tile records from the Illumina TileMetrics file into lane-level and phasing-level metrics.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`FILE_EXTENSION`
`File`
`OUTPUT_DIRECTORY`
`String`
`OUTPUT_PREFIX`
`ReadStructure`
`READ_STRUCTURE`
`File`
`RUN_DIRECTORY`

### Fields inherited from class CommandLineProgram

`COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, MAX_ALLOWABLE_ONE_LINE_SUMMARY_LENGTH, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, referenceSequence, specialArgumentsCollection, SYNTAX_TRANSITION_URL, TMP_DIR, USE_JDK_DEFLATER, USE_JDK_INFLATER, VALIDATION_STRINGENCY, VERBOSITY`

## Constructor Summary

Constructors
Constructor
Description
`CollectIlluminaLaneMetrics()`

## Method Summary

Modifier and Type
Method
Description
`protected int`
`doWork()`
Do the work after command line has been parsed.

### Methods inherited from class CommandLineProgram

`checkRInstallation, customCommandLineValidation, getCommandLine, getCommandLineParser, getCommandLineParserForArgs, getDefaultHeaders, getFaqLink, getMetricsFile, getPGRecord, getStandardUsagePreamble, getStandardUsagePreamble, getVersion, hasWebDocumentation, instanceMain, instanceMainWithExit, makeReferenceArgumentCollection, parseArgs, requiresReference, setDefaultHeaders, useLegacyParser`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### RUN_DIRECTORY

@Argument(doc="The Illumina run directory of the run for which the lane metrics are to be generated") public File RUN_DIRECTORY

### OUTPUT_DIRECTORY

@Argument(doc="The directory to which the output file will be written") public File OUTPUT_DIRECTORY

### OUTPUT_PREFIX

@Argument(doc="The prefix to be prepended to the file name of the output file; an appropriate suffix will be applied", shortName="O") public String OUTPUT_PREFIX

### READ_STRUCTURE

@Argument(doc="A description of the logical structure of clusters in an Illumina Run, i.e. a description of the structure IlluminaBasecallsToSam assumes the data to be in. It should consist of integer/character pairs describing the number of cycles and the type of those cycles (B for Sample Barcode, M for molecular barcode, T for Template, and S for skip). E.g. If the input data consists of 80 base clusters and we provide a read structure of \"28T8M8B8S28T\" then the sequence may be split up into four reads:\n* read one with 28 cycles (bases) of template\n* read two with 8 cycles (bases) of molecular barcode (ex. unique molecular barcode)\n* read three with 8 cycles (bases) of sample barcode\n* 8 cycles (bases) skipped.\n* read four with 28 cycles (bases) of template\nThe skipped cycles would NOT be included in an output SAM/BAM file or in read groups therein.\nIf not given, will use the RunInfo.xml in the run directory.", shortName="RS", optional=true) public ReadStructure READ_STRUCTURE

### FILE_EXTENSION

@Argument(doc="Append the given file extension to all metric file names (ex. OUTPUT.illumina_lane_metrics.EXT). None if null", shortName="EXT", optional=true) public String FILE_EXTENSION

## Constructor Details

### CollectIlluminaLaneMetrics

public CollectIlluminaLaneMetrics()

## Method Details

### doWork

protected int doWork()
Description copied from class: `CommandLineProgram`
Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.

Specified by:
  `doWork` in class `CommandLineProgram`
Returns:
  program exit status.